Subject: Re: linux-next: Tree for Nov 15 (objtool)

From: Josh Poimboeuf <[email-masked]>
Date: Fri, 15 Nov 2019 10:38:30 -0600

On Fri, Nov 15, 2019 at 08:02:30AM -0800, Randy Dunlap wrote:
> On 11/15/19 12:05 AM, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Changes since 20191114:
> > 
> 
> on x86_64:
> 
> already reported and Josh supplied a fix (yet unmerged),
> but this is still around:
> 
> kernel/exit.o: warning: objtool: __x64_sys_exit_group()+0x14: unreachable instruction

My apologies, I have a growing backlog of objtool fixes which I hope to
post next week.

> 
> new AFAIK:
> 
> drivers/gpu/drm/bridge/cdns-dsi.o: warning: objtool: cdns_dsi_bridge_enable()+0x3e0: unreachable instruction
> 
> obj file for latter one is attached.

This seems fishy.  cdns_dsi_init_link() never returns, it always dies a
with UD2.  I bet GCC decided that it always does a divide-by-zero, and
so it forces a crash as a result.  Will try to dig deeper next week...

-- 
Josh